<div class="text-center">
  <h2>Quarkus - ALL USERS</h2>
</div>

<div class="dropdown">
  <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
    Search by age
  </button>
  <div class="dropdown-menu">
    <form [formGroup]="checkAgeForm" (ngSubmit)="onSubmit(checkAgeForm.value)" class="px-4 py-3">
      <div class="form-group">
        <label for="ageFrom">Age from</label>
        <input type="number" class="form-control" formControlName="ageFrom" >
        <label for="ageTo">Age to</label>
        <input type="number" class="form-control" formControlName="ageTo" >
      </div>
      <div class="form-group">
        <button type="submit" class="btn btn-primary">Search</button>
      </div>
    </form>
  </div>
</div>

<div class="dropdown">
  <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
    Sort by
  </button>
  <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
    <a class="dropdown-item btn" (click)="sortUsersByNameAsc()">Name A-Z</a>
    <a class="dropdown-item btn" (click)="sortUsersByNameDesc()">Name Z-A</a>
    <a class="dropdown-item btn" (click)="sortUsersBySurnameAsc()">Surname A-Z</a>
    <a class="dropdown-item btn" (click)="sortUsersBySurnameDesc()">Surname Z-A</a>
    <a class="dropdown-item btn" (click)="sortUsersByAgeAsc()">Age +</a>
    <a class="dropdown-item btn" (click)="sortUsersByAgeDesc()">Age -</a>
  </div>
</div>

<!-- <div id="sort">
  Sort by:
  <button id="sortBy" class="btn btn-secondary" (click)="sortUsersByLoginAsc()">Login A-Z</button> 
  <button id="sortBy" class="btn btn-secondary" (click)="sortUsersByLoginDesc()">Login Z-A</button> 
  <button id="sortBy" class="btn btn-secondary" (click)="sortUsersByAgeAsc()">Age +</button> 
  <button id="sortBy" class="btn btn-secondary" (click)="sortUsersByAgeDesc()">Age -</button> 
</div> -->

<br /> <br />

<div *ngIf="users">
  <div *ngFor="let user of users">
    <div class="route">
      <div class="for" routerLink="/quarkus/{{user.id}}">
        Name: {{ user.name }} <br />
        Surname: {{ user.surname }} <br />
        Age: {{ user.age }} <br />
        Country: {{ user.country }} <br />
        Email: {{ user.email }} <br /> <br />
      </div>
      <div>
        <button class="btn btn-secondary mb-1" routerLink="/quarkus/edit/{{user.id}}">EDIT</button> <br />
        <button class="btn btn-secondary" (click)="deleteUser(user.id)">DELETE</button> <br />
      </div>
    </div>
  </div>
</div> 
